
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Przechodzić, przechodzić.";
			link.l1 = "...";
			link.l1.go = "exit";

			NextDiag.TempNode = "First time";
		break;

		case "Fight_with_enemy":
			dialog.text = "Wróg jest w mieście! Do broni!";
			link.l1 = "Do diabła!";
			link.l1.go = "exit";
			AddDialogExitQuest("sneak_to_town_failed");
			NextDiag.TempNode = "First time";
		break;

		case "Fight_with_contaminator":
			dialog.text = "Hej ty! To ty jesteś tym cholernym bękartem, który przyniósł do nas zarazę! Brać go!";
			link.l1 = "Cholera by to!";
			link.l1.go = "exit";
			AddDialogExitQuest("sneak_to_town_failed");
			NextDiag.TempNode = "First time";
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}

